Bug 445087 - Cannot open .te file inside of C project
Cannot open .te file inside of C project
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-slide (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Sugar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-03 08:18 EDT by Matěj Cepl
Modified: 2008-12-17 19:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-17 19:39:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
illustration of the issue (95.83 KB, image/png)
2008-05-03 08:18 EDT, Matěj Cepl
no flags Details
~/.xsession-errors (91.18 KB, text/plain)
2008-05-03 08:19 EDT, Matěj Cepl
no flags Details
<workspace>/.metadata/.log (20.85 KB, text/plain)
2008-05-03 08:25 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2008-05-03 08:18:43 EDT
Description of problem:
See attached screenshot. I have rather simple SELinux module which just fixes
some issue with the bitlbee package (I am working on some additional
functionality which breaks with the Fedora bitlbee module; it is not yet
finished, so I would rather prefer not to bother dwalsh with this and keep this
as a separate module outside of the official Fedora SELinux policy).

I would also prefer not to have these files in the separate Eclipse-SLIDE
project (having it one repository, sync with upsteram, etc.).

When I click on the .te file in the project browser, Eclipse apparently tries to
open it with SLIDE editor, but it doesn't work.

What are the logs I should attach?

Version-Release number of selected component (if applicable):
eclipse-platform-3.3.2-11.fc9.i386
eclipse-egit-0.3.1-0.fc9.i386
eclipse-slide-1.3.8-1.fc9.noarch
eclipse-cdt-4.0.3-1.fc9.i386

How reproducible:
100%

Steps to Reproduce:
1. open .te file inside of C project
2.
3.
  
Actual results:
error, need to edit files in the plain text editor (no higlighting, no support
from the current SELinux policy) -> sucks

Expected results:
just use all SLIDE goodies
Comment 1 Matěj Cepl 2008-05-03 08:18:43 EDT
Created attachment 304450 [details]
illustration of the issue
Comment 2 Matěj Cepl 2008-05-03 08:19:25 EDT
Created attachment 304451 [details]
~/.xsession-errors
Comment 3 Matěj Cepl 2008-05-03 08:25:19 EDT
Created attachment 304452 [details]
<workspace>/.metadata/.log
Comment 4 Bug Zapper 2008-05-14 06:35:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Dave Sugar 2008-12-12 14:48:28 EST
I did some work on this bug.  At this point it shouldn't throw an exception, but it doesn't work very well.  There really needs to be the SLIDE nature attached to the project for full functionality.

http://oss.tresys.com/projects/slide/ticket/235 - our ticketing system
Comment 6 Fedora Update System 2008-12-12 14:59:53 EST
eclipse-slide-1.3.11-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/eclipse-slide-1.3.11-1.fc9
Comment 7 Fedora Update System 2008-12-12 15:01:39 EST
eclipse-slide-1.3.11-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/eclipse-slide-1.3.11-3.fc10
Comment 8 Fedora Update System 2008-12-17 19:39:37 EST
eclipse-slide-1.3.11-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-12-17 19:41:57 EST
eclipse-slide-1.3.11-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.